import React from 'react';
require('./index.css');
let addIconSrc = UTILPATH.localImg.plusIcon;
let refreshIconSrc = UTILPATH.localImg.refreshIcon;
/**
 * 组件说明 需要props type 与imgSrc
 * type == custom 为要显示的图片
 * type == add 为添加图片的icon 不需要传入imgSrc
 * type == refresh 为刷新的icon 不需要传入imgSrc
 */
export default class ImgToolComponent extends React.Component{
    constructor(props){
        super(props);
    }

    render(){
        let props = this.props;
        let type = props.type;
        console.log(type)
        let imgSrc = '';

        switch(type){
            case "custom":
                imgSrc = props.imgSrc;
                break;
            case "add":
                imgSrc = addIconSrc;
                break;
            case "refresh":
                imgSrc = refreshIconSrc;
                break;

        }
        console.log(imgSrc)
        return(
            <div className={"ImgToolComponent"}>
                <div className={"imgItem"}>
                    <img  src={imgSrc} alt=""/>
                    <span className={"closeBtn"}>×</span>
                </div>
            </div>
        )

    }
}